/*
  Author:  James Tam
  Version: January 21, 2011

*/

public class BookNode
{
    private Book data;
    private BookNode next;

    public BookNode () 
    { 
       data = null;
       next = null;
    }

    public BookNode (Book data, 
                 BookNode next)
    {
       setData(data);
       setNext(next);
    }

    public void setData (Book data) 
    { 
	this.data = data; 
    }

    public Book getData () 
    { 
	return data; 
    }

    public void setNext (BookNode next) 
    { 
	this.next = next; 
    }

    public BookNode getNext () 
    { 
	return next; 
    }

}
